/**
 * @function searchType
 */
'use strict'

const listOrgRepo = require('../github/list_org_repo')
const Promise = require('apemanpromise')

/** @lends searchType */
function searchType (type) {
  if (type.org) {
    return listOrgRepo(type.org)
  } else {
    return Promise.reject(new Error('Unknown type: ' + JSON.stringify(type)))
  }
}

module.exports = searchType
